dots.v2.insights.query.byRegion().prom.api.v1.label.byName().values.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.insights.query.byRegion(region).prom.api.v1.label.byName(name).values.get(requestConfiguration?: RequestConfiguration<ValuesRequestBuilderGetQueryParameters>): Promise<undefined | Prom_string_list_response>Description
To list values for a label name, send a GET request to /v2/insights/query/{region}/prom/api/v1/label/{name}/values.
Parameters
Path Parameters
regionstring requiredExample:
nyc3The datacenter region slug for the query.
namestring requiredExample:
__name__The label name whose values should be listed.
Query Parameters
startstring optionalExample:
1620683817Optional start timestamp (inclusive). Accepts a RFC3339 string or a UNIX timestamp.
endstring optionalExample:
1620705417Optional end timestamp (inclusive). Accepts a RFC3339 string or a UNIX timestamp.
matcharray of strings optionalExample:
["{__name__=~\".+\"}"]One or more series selectors. Repeat the parameter for multiple matchers.
Request Sample
Response Example
More Information
See /v2/insights/query/{region}/prom/api/v1/label/{name}/values in the API reference for additional detail on responses, headers, parameters, and more.